MissingPropertyException (Groovy 5.0.0)

Package: groovy.lang

## [Java] Class MissingPropertyException

- groovy.lang.MissingPropertyException

-     public class MissingPropertyException
      extends GroovyRuntimeException

  An exception occurred if a dynamic property dispatch fails with an unknown property.

  Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Object` | `MPE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingPropertyException(String property, Class type)`
    `MissingPropertyException(String property, Class type, Throwable cause)`
    `MissingPropertyException(String message)`
    `MissingPropertyException(String message, String property, Class type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getMessageWithoutLocationText()`
    `` | `public String` | `getProperty()` Returns: the name of the property that could not be found
    `` | `public Class` | `getType()` Returns: the class which cannot answer the property

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Field Detail

    - #### public static final Object MPE

  - ### Constructor Detail

    - #### public MissingPropertyException(String property, Class type)

    - #### public MissingPropertyException(String property, Class type, Throwable cause)

    - #### public MissingPropertyException(String message)

    - #### public MissingPropertyException(String message, String property, Class type)

  - ### Method Detail

    - #### @Override
      public String getMessageWithoutLocationText()

    - #### public String getProperty()

      Returns:
        the name of the property that could not be found

    - #### public Class getType()

      Returns:
        the class which cannot answer the property